=== modified file 'bzrlib/xml_serializer.py'
--- bzrlib/xml_serializer.py	2006-09-10 02:18:31 +0000
+++ bzrlib/xml_serializer.py	2006-09-22 00:51:36 +0000
@@ -28,6 +28,7 @@
     from cElementTree import (ElementTree, SubElement, Element,
                               XMLTreeBuilder, fromstring, tostring)
     import elementtree
+    ParseError = SyntaxError
 except ImportError:
     mutter('WARNING: using slower ElementTree; consider installing cElementTree'
            " and make sure it's on your PYTHONPATH")
@@ -35,6 +36,7 @@
                                               Element, XMLTreeBuilder,
                                               fromstring, tostring)
     import util.elementtree as elementtree
+    from xml.parsers.expat import ExpatError as ParseError
 
 from bzrlib import errors
 
@@ -52,13 +54,13 @@
     def read_inventory_from_string(self, xml_string):
         try:
             return self._unpack_inventory(fromstring(xml_string))
-        except SyntaxError, e:
+        except ParseError, e:
             raise errors.UnexpectedInventoryFormat(e)
 
     def read_inventory(self, f):
         try:
             return self._unpack_inventory(self._read_element(f))
-        except SyntaxError, e:
+        except ParseError, e:
             raise errors.UnexpectedInventoryFormat(e)
 
     def write_revision(self, rev, f):

